# Get user attributes from server

Gets user’s attributes.

{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for server-side methods are applied to this method.
{% /html %}

Endpoint: POST /attributes/users/{user_id}/get
Version: v1
Security: AttributesServer

## Path parameters:

  - `user_id` (string, required)
    User ID. You can find it in Publisher Account > Login settings > Users > Username/ID.

## Request fields (application/json):

  - `keys` (array)
    List of attributes’ keys which you want to get. If you do not specify them, the method returns all user’s attributes.

  - `publisher_id` (integer,null, required)
    Your merchant ID the request is made for. Need for request authorizing.

  - `publisher_project_id` (integer)
    Project ID from Publisher Account which you want to get user’s attributes for. If you do not specify it, it returns attributes for all games with them.

## Response 200 fields (application/json):

  - `attr_type` (string)
    Definition of user’s access level to service attributes.
    Enum: "client", "server"

  - `data_type` (string,null)
    Data type of attribute
    Enum: "string", "number", "integer", "boolean"

  - `description` (string,null)
    Description of attribute from JSON Schema.

  - `format` (string,null)
    Format of attribute from JSON Schema. Can be date-time, date, time, duration, email, uri, uuid or other from JSON Schema [specification](https://json-schema.org/draft/2020-12/json-schema-validation.html#rfc.section.7.3)

  - `key` (string, required)
    Name of attribute that is used to identify user’s attribute.

  - `permission` (string,null)
    Definition of user’s access level to other users’ attributes.
    Enum: "public", "private"

  - `readonly` (boolean, required)
    The attribute is read-only

  - `value` (string, required)
    Value of user’s attribute.

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 403 fields (application/json):

  - `error_code` (string)
    Error code.

  - `error_description` (string)
    Error description.

## Response 422 fields (application/json):

  - `error_code` (string)
    Error code.

  - `error_description` (string)
    Error description.

## Response 429 fields (application/json):

  - `error_code` (string)
    Error code.

  - `error_description` (string)
    Error description.


